## fonts-wqy-microhei 0.2.0-beta

=== debian/changelog ===
fonts-wqy-microhei (0.2.0-beta-4) unstable; urgency=medium

  * Team upload.
  * Acknowledge previous NMU.

  [ Jeremy Bicha ]
  * Move fontconfig template from /etc/fonts/ to /usr/share/fontconfig/.
  * Drop Breaks/Replaces/Provides ttf-wgy-microhei, not needed since Jessie.

  [ Boyuan Yang ]
  * debian/: Apply "wrap-and-sort -abst".
  * debian/: Bump debhelper compat to v13.
  * debian/: Bump Standards-Version to 4.7.0.
  * debian/rules: Do not use custom dh_builddeb option.
  * debian/control: Use Rules-Requires-Root: no.
  * debian/control: Update Vcs-* fields to its latest location.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2025 12:39:49 -0500

fonts-wqy-microhei (0.2.0-beta-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 11:13:35 +0100

fonts-wqy-microhei (0.2.0-beta-3) unstable; urgency=medium

  * Use new cgit HTTPS URLs for Vcs-Git and Vcs-Browser
  * Use debhelper (>= 10)
  * Bump Standards-Version to 4.0.0:
    Use https form of the copyright-format URL in debian/copyright
  * Drop transitional dummy ttf-wqy-microhei package (Closes: #868207)
  * Update debian/gbp.conf

 -- Anthony Fok <foka@debian.org>  Thu, 07 Sep 2017 06:09:59 -0600

fonts-wqy-microhei (0.2.0-beta-2) unstable; urgency=low

  * Fix incorrect advanceWidths in hmtx for composite glyphs, which
    had caused Korean Hangul glyphs to stack on top of each other.

    From the bug report:

        The issue appears when using ttf-wqy-microhei in Chromium
        (and possibly other programs).
        See https://code.google.com/p/chromium/issues/detail?id=233851 for
        the original report against Chromium.

        The issue itself is that the version of ttf-wqy-microhei in the
        repository was created with an old version of FontForge which
        created incorrect advanceWidths in the htmx tables of this font.
        As a result many Korean glyphs have tiny advance withs (1/8 of
        what they should be) and so stack on top of each other when linear
        metrics are requested and used.

    Many thanks to Chromium developer Ben Wagner (Bungeman) for his
    excellent and meticulous work in investigating the issue and in 
    creating a patched version of wqy-microhei.ttc to fix the issue.
    (Closes: #714641; LP: #1258520)

    Also thanks to upstream author Qianqian Fang for giving us the go-ahead
    to use Bungeman's version, and will investigate an upstream update
    if he can find the time.

    To facilitate adoption by other distributions, and for record keeping,
    here are the checksums of wqy-microhei.ttc before and after the patch:

    Checksum of original wqy-microhei.ttc with incorrect hmtx advanceWidths:
     - MD5:    966af48e02884546677a2f762f6725b9
     - SHA1:   42467ef798a8f7bd8192a869ac7e05e17132c5c6
     - SHA256: e4bca8df123ce01b104780f576ea1a58b9a5ff1662a91124b6d3180cb6c88212

    Checksum of wqy-microhei.ttc patched by Bungeman:
     - MD5:    a7ff47b49e15875c113ed77c491953ab
     - SHA1:   cd9c1b74f137db79c5fd403002cb1132d30f749b
     - SHA256: 2420e8078af796b19a3f6ef13de527a1a91c1e7171eea115926c614ced1009b3

  * Acknowledge NMU of ttf-wqy-microhei 0.2.0-beta-1.1 by Aron Xu
    and contributed patch from 0.2.0-beta-1ubuntu1 by Steve Langasek
    (Debian Bug#660060)

  * Acknowledge improvements to ttf-wqy-microhei in Ubuntu
    (0.2.0-beta-1.1ubuntu1 to 0.2.0-beta-1.1ubuntu4) by
    Iain Lane, Scott Ritchie and Gunnar Hjalmarsson:
     - New fontconfig file 65-wqy-microhei.conf
     - Mark as Multi-Arch: foreign (Closes: #705180)

    However, in 65-wqy-microhei.conf, I decide to remove <prefer> for serif
    because WenQuanYi Micro Hei is a sans-serif font and there exist other
    real serif CJK fonts in the Debian repository.

  * Learning from Christian Perrier in his update to fonts-wqy-zenhei:
     - Rename source package to "fonts-wqy-microhei" to fit the Font Packages
       Naming Policy.
     - Use dh minimal rules file
     - Update Standards to 3.9.5 (checked)
     - Bump debhelper compatibility to 9
     - Use xz extreme compression for deb packages
     - Use git for packaging: adapt Vcs-* fields

  * Convert to machine-readable debian/copyright version 1.0
  * Change upstream home page to http://wenq.org/
  * Following the example of fonts-wqy-zenhei, set Debian Fonts Task Force
    as the Maintainer.
  * Add myself to the list of Uploaders
  * Last but not least, many thanks to original maintainer Zhengpeng Hou
    for generously allowing me do whatever I like to this package.  :-)    

 -- Anthony Fok <foka@debian.org>  Thu, 12 Dec 2013 08:38:16 +0800

ttf-wqy-microhei (0.2.0-beta-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove recommends on x-ttcidfont-conf (Closes: #660060).
  * Drop maintainer scripts, fontconfig uses trigger now.
  * Set correct maintainer email address.

 -- Aron Xu <aron@debian.org>  Sat, 07 Jul 2012 16:46:46 +0800

ttf-wqy-microhei (0.2.0-beta-1) unstable; urgency=low

  * Initial release. (Closes: #530935)

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Thu, 28 May 2009 21:26:39 +0000
