=== debian/control ===
Source: fonts-wqy-microhei
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders:
 Zhengpeng Hou <zhengpeng-hou@ubuntu.com>,
 Anthony Fok <foka@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 xdelta3,
Standards-Version: 4.7.0
Homepage: http://wenq.org/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-wqy-microhei.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-wqy-microhei
Rules-Requires-Root: no

Package: fonts-wqy-microhei
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 fontconfig (>= 2.3.1-1),
Description: Sans-serif style CJK font derived from Droid
 WenQuanYi Micro Hei font family is a sans-serif style (also known as Hei,
 Gothic or Dotum among the Chinese/Japanese/Korean users) high quality
 CJK outline font. It was derived from "Droid Sans Fallback", "Droid
 Sans" and "Droid Sans Mono" released by Google Corp. This font package
 contains two faces, "Micro Hei" and "Micro Hei Mono", in form of a
 TrueType Collection (ttc) file. All the unified CJK Han glyphs, i.e.
 GBK Hanzi, in the range of U+4E00-U+9FC3 defined in Unicode Standard 5.1
 are covered, with additional support to many other international
 languages such as Latin, Extended Latin, Hanguls and Kanas. The font
 file is extremely compact (~5M) compared with most known CJK fonts.
 As a result, it can be used for hand-held devices or embedded systems, or
 used on PC with a significantly small memory footprint. Because both
 font faces carry hinting and kerning instructions for Latin glyphs,
 they are excellent choices for desktop fonts.
